Usando Glipper (Glipper è la versione per Gnome, Kubuntu ha Klipper), capita di imbattersi in questo messaggio, all’avvio della sessione grafica:

“The panel encountered a problem while loading OAFIID:Glipper”.

Il bug è conosciuto da anni, ma non è mai stato risolto dagli sviluppatori (i quali sembra abbiano abbandonato il progetto, l’ultima release risale al 2007).

CAUSA
L’errore sembra essere dovuto alla necessità di Glipper di caricare un componente/servizio, che non è ancora stato avviato.

SOLUZIONE
La soluzione (che non è proprio il massimo, ma funziona), consiste nel “rallentare” l’avvio dell’applet di Glipper, al fine di dare tempo al componente/servizio requisito, di avviarsi.

gksudo gedit /usr/lib/glipper/glipper

Ed aggiungiamo, prima di import gobject, quindi all’inizio del file:

import time
time.sleep(8)

Se non dovesse funzionare, provate ad aumentare il valore di time.sleep(secondi).